import express from "express";
import path from 'path'
import morgan from 'morgan'

const hostname = '127.0.0.1';
const httpPort = 4080;

var mongoose = require('mongoose');
var mongoDB = "mongodb://127.0.0.1/my_database";
mongoose.connect(mongoDB);
mongoose.set('strictQuery', false);
mongoose.Promise = global.Promise;
var db = mongoose.connection;
db.on('error', console.error.bind(console, 'MongoDB connection error:'));

const app = express();

app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'hbs');

app.use(morgan('dev'));
app.use(express.json());
app.use(express.urlencoded({ extended: false }));
app.use(express.static(path.join(__dirname, 'public')));

import mainRouter from './routes/main';
import apiRouter from './routes/api/apiRouter';

app.use('/', mainRouter);
app.use('/api', apiRouter);

app.listen(httpPort, () => {
  console.log(`Server running at http://${hostname}:${httpPort}/`);
});